MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025008Community[OCCT] OCCT:Visualizationpublic2014-06-15 13:392014-11-11 12:53
Reporterguidovanhilst 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
Platformwin64OSwin7OS Version
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025008: Image_AlienPixMap - wrong PPM generated by ::savePPM() when image width is not equal to height
Descriptionin Image_AlienPixMap::savePPM

in the second loop I think this should be SizeX() instead of SizeY() ?
(see code sniped below)

  for (Standard_Size aRow = 0; aRow < SizeY(); ++aRow)
  {
    for (Standard_Size aCol = 0; aCol < SizeY(); ++aCol)
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0030112)
san (developer)
2014-07-14 12:12

Proposed correction applied in branch CR25008.
(0030113)
san (developer)
2014-07-14 12:14

Branch CR25008 reviewed, ready for testing.
(0030115)
kgv (developer)
2014-07-14 13:11

Dear bugmaster,

the patch does not affect OCCT built with FreeImage support.
Please check compilation and integrate.
(0030170)
mkv (tester)
2014-07-15 19:11

Dear BugMaster,

Branch CR25008 from occt git-repository (and master from products git-repository) was compiled on Linux and Windows platforms.
SHA-1: d6f021eb230ef707eb98e8a1337b68c553dec367

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)

products component :
Linux: 11 (11 on master)
Windows: 2 (2 on master)
(0030318)
git (administrator)
2014-07-22 16:02

Branch CR25008 has been deleted by inv.

SHA-1: d6f021eb230ef707eb98e8a1337b68c553dec367

- Related Changesets
occt: master a7b491fc
Timestamp: 2014-07-14 08:10:06
Author: san
Committer: bugmaster
Details ] Diff ]
0025008: wrong PPM generated in mage_AlienPixMap::savePPM
mod - src/Image/Image_AlienPixMap.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-06-15 13:39 guidovanhilst New Issue
2014-06-15 13:39 guidovanhilst Assigned To => san
2014-07-14 12:12 san Note Added: 0030112
2014-07-14 12:12 san Status new => resolved
2014-07-14 12:14 san Note Added: 0030113
2014-07-14 12:14 san Assigned To san => bugmaster
2014-07-14 12:14 san Status resolved => reviewed
2014-07-14 12:14 san Product Version => 6.7.1
2014-07-14 12:14 san Target Version => 6.8.0
2014-07-14 13:05 kgv Severity major => trivial
2014-07-14 13:05 kgv Summary wrong PPM generated in mage_AlienPixMap::savePPM => Image_AlienPixMap - wrong PPM generated by ::savePPM() when image width is not equal to height
2014-07-14 13:05 kgv Description Updated View Revisions
2014-07-14 13:11 kgv Note Added: 0030115
2014-07-14 14:58 mkv Assigned To bugmaster => mkv
2014-07-15 19:11 mkv Note Added: 0030170
2014-07-15 19:11 mkv Test case number => Not needed
2014-07-15 19:11 mkv Assigned To mkv => bugmaster
2014-07-15 19:11 mkv Status reviewed => tested
2014-07-22 15:13 bugmaster Changeset attached => occt master a7b491fc
2014-07-22 15:13 bugmaster Status tested => verified
2014-07-22 15:13 bugmaster Resolution open => fixed
2014-07-22 16:02 git Note Added: 0030318
2014-11-11 12:46 user533 Fixed in Version => 6.8.0
2014-11-11 12:53 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker